Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.io
Class VfsUtils

    java.lang.Object
      org.springframework.core.io.VfsUtils

    public abstract class VfsUtils

extends Object

Utility for detecting the JBoss VFS version available in the classpath. JBoss AS 5+ uses VFS 2.x (package `org.jboss.virtual`) while JBoss AS 6+ uses VFS 3.x (package `org.jboss.vfs`).

Thanks go to Marius Bogoevici for the initial patch. Note: This is an internal class and should not be used outside the framework.

Since:
  3.0.3
Author:
  Costin Leau

Field Summary
`protected static Method` | `VIRTUAL_FILE_METHOD_VISIT`
`protected static Class<?>` | `VIRTUAL_FILE_VISITOR_INTERFACE`

Constructor Summary
`VfsUtils()`

Method Summary
`protected static String` | `doGetPath(Object resource)`
`protected static Object` | `doGetVisitorAttribute()`
`protected static Object` | `getRoot(URL url)`
`protected static Object` | `invokeVfsMethod(Method method, Object target, Object... args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VIRTUAL_FILE_VISITOR_INTERFACE

    protected static Class<?> VIRTUAL_FILE_VISITOR_INTERFACE

### VIRTUAL_FILE_METHOD_VISIT

    protected static Method VIRTUAL_FILE_METHOD_VISIT

Constructor Detail

### VfsUtils

    public VfsUtils()

Method Detail

### invokeVfsMethod

    protected static Object invokeVfsMethod(Method method,
                                            Object target,
                                            Object... args)
                                     throws IOException

  Throws:
    `IOException`

### getRoot

    protected static Object getRoot(URL url)
                             throws IOException

  Throws:
    `IOException`

### doGetVisitorAttribute

    protected static Object doGetVisitorAttribute()

### doGetPath

    protected static String doGetPath(Object resource)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD